Page MenuHomePhabricator

Referencing to private tasks in Blocks / Blocked By fields
Closed, InvalidPublic

Description

Reported upstream: https://secure.phabricator.com/T6215

Private tasks are reflected in the timeline, just not showing their subjects/links to those without the permissions to access them (very good!), i.e.

Qgil closed blocking task Restricted Task as "Invalid".

However, these private tasks are not listed at the Blocks / Blocked By fields of the task. Whoever can access them do see them, for the rest they don't exist. It would be better if they would also appear, just as "Restricted task".

Event Timeline

Qgil created this task.Sep 25 2014, 9:55 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Needs Triage.
Qgil added a project: Phabricator.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil renamed this task from Referencing to private tasks in Blobks / Blocked By fields to Referencing to private tasks in Blocks / Blocked By fields.Sep 25 2014, 10:01 AM

This one should be filed upstream

Qgil updated the task description. (Show Details)Sep 30 2014, 9:40 PM
Qgil added a project: Phabricator (Upstream).
Aklapper triaged this task as Low priority.Oct 1 2014, 2:08 PM
Qgil claimed this task.EditedOct 2 2014, 3:55 PM

This works correctly upstream.

https://secure.phabricator.com/T6215

Assigning the task to myself, because I want to test this in phab-01, and then here if needed.

Qgil closed this task as Invalid.Oct 11 2014, 6:22 PM

T419 shows a "Restricted Task". I don't know whether I oversaw something when I filed this task or whether something got fixed on the way. In any case, Invalid.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM